]> git.datanom.net - enfusegtk.git/commitdiff
skeleton
authorMichael Rasmussen <mir@datanom.net>
Mon, 9 Oct 2023 18:38:11 +0000 (20:38 +0200)
committerMichael Rasmussen <mir@datanom.net>
Mon, 9 Oct 2023 18:38:11 +0000 (20:38 +0200)
Signed-off-by: Michael Rasmussen <mir@datanom.net>
.gitignore [new file with mode: 0644]
AUTHORS [new file with mode: 0644]
ChangeLog [new file with mode: 0644]
Makefile.am [new file with mode: 0644]
NEWS [new file with mode: 0644]
README [new file with mode: 0644]
autogen.sh [new file with mode: 0755]
configure.ac [new file with mode: 0644]

diff --git a/.gitignore b/.gitignore
new file mode 100644 (file)
index 0000000..c2e604a
--- /dev/null
@@ -0,0 +1,21 @@
+autom4te.cache
+auxdir
+m4
+aclocal.m4
+*.in
+*.log
+config.status
+configure
+COPYING
+INSTALL
+*.swp
+Makefile
+config.h
+*~
+libtool
+stamp-h1
+src/Makefile
+src/*.in
+src/.deps
+
+
diff --git a/AUTHORS b/AUTHORS
new file mode 100644 (file)
index 0000000..e69de29
diff --git a/ChangeLog b/ChangeLog
new file mode 100644 (file)
index 0000000..e69de29
diff --git a/Makefile.am b/Makefile.am
new file mode 100644 (file)
index 0000000..61297d7
--- /dev/null
@@ -0,0 +1,14 @@
+AUTOMAKE_OPTIONS = gnu
+
+ACLOCAL_AMFLAGS = -I m4
+
+SUBDIRS = \
+               src
+
+EXTRA_DIST = \
+            AUTHORS \
+            ChangeLog \
+            NEWS \
+            README \
+            TODO \
+            autogen.sh
diff --git a/NEWS b/NEWS
new file mode 100644 (file)
index 0000000..e69de29
diff --git a/README b/README
new file mode 100644 (file)
index 0000000..e69de29
diff --git a/autogen.sh b/autogen.sh
new file mode 100755 (executable)
index 0000000..c9f6e38
--- /dev/null
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+echo "Rebuilding build system......"
+
+autoreconf --version 2>&1 > /dev/null 2>&1
+
+if [ $? -eq 0 ]; then
+       AUTORECONF=autoreconf
+else
+       AUTORECONF=
+fi
+
+error() {
+       echo "Missing tool: $1"
+       echo "Cannot proceed until the missing tool is available"
+       exit 1
+}
+
+if [ ! -z ${AUTORECONF} ]; then
+       echo "Using autoreconf to rebuild build system"
+       autoreconf --force --install --symlink
+else
+       echo "No autoreconf found. Using plain old tools to rebuild build system"
+       libtoolize --automake --force || error libtoolize
+       aclocal -I m4|| error aclocal
+       autoheader --force || error autoheader
+       automake --add-missing --force-missing --gnu || error automake
+       autoconf --force || error autoconf
+fi
+./configure --enable-maintainer-mode $*
+
+exit 0
diff --git a/configure.ac b/configure.ac
new file mode 100644 (file)
index 0000000..958ebd9
--- /dev/null
@@ -0,0 +1,65 @@
+AC_PREREQ([2.71])
+AC_INIT([enfusegtk],[0.1],[mir@datanom.net])
+AC_COPYRIGHT([Copyright (c) 2023 Michael Rasmussen.])
+AC_CONFIG_MACRO_DIR([m4])
+AC_CONFIG_AUX_DIR(auxdir)
+AC_CANONICAL_TARGET
+
+AC_CONFIG_SRCDIR([src/main.c])
+AM_INIT_AUTOMAKE([gnu no-dist-gzip dist-bzip2 1.10])
+AC_CONFIG_HEADERS([config.h])
+AM_MAINTAINER_MODE
+
+CFLAGS="-g -Wall"
+
+if test "x$USE_MAINTAINER_MODE" = "xyes"; then
+    CFLAGS="${CFLAGS} -Werror -DDEBUG"
+    AC_DEFINE_UNQUOTED(DEBUG, [1], [Enable debug mode.])
+else
+    CFLAGS="${CFLAGS} -O -O2"
+fi
+GLIB_REQUIRED=2.70.0
+GOBJECT_REQUIRED=2.70.0
+GTK_REQUIRED=3.14.0
+
+AC_SUBST(GLIB_REQUIRED)
+AC_SUBST(GOBJECT_REQUIRED)
+AC_SUBST(GTK_REQUIRED)
+
+# Checks for programs.
+AC_PROG_CC
+AC_PROG_CPP
+LT_INIT
+if test -n "$lt_prog_compiler_pic"; then
+    CFLAGS="$CFLAGS $lt_prog_compiler_pic"
+fi
+
+PKG_PROG_PKG_CONFIG
+AC_LIB_PREFIX
+
+# Checks for libraries.
+PKG_CHECK_MODULES([GLIB],
+                  [glib-2.0 >= $GLIB_REQUIRED
+                   gobject-2.0 >= $GOBJECT_REQUIRED
+                   gmodule-2.0 >= $GOBJECT_REQUIRED]
+)
+AC_SUBST(GLIB_CFLAGS)
+AC_SUBST(GLIB_LIBS)
+
+PKG_CHECK_MODULES([GTK], gtk+-3.0 >= $GTK_REQUIRED)
+AC_SUBST(GTK_CFLAGS)
+AC_SUBST(GTK_LIBS)
+
+AC_CONFIG_FILES([
+                 Makefile
+                 src/Makefile
+])
+
+AC_OUTPUT
+echo "
+Configuration:
+
+        Source code:            ${ac_pwd}
+        Compiler:               ${CC} $($CC -dumpversion)
+        CFLAGS:                 ${CFLAGS}
+"
This page took 0.04392 seconds and 5 git commands to generate.